RegionAttributesType.ExpirationAttributesType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: RegionAttributesType, class: ExpirationAttributesType

Package org.apache.geode.cache.configuration

# Class RegionAttributesType.ExpirationAttributesType

java.lang.Object
org.apache.geode.cache.configuration.RegionAttributesType.ExpirationAttributesType

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  RegionAttributesType

public static class RegionAttributesType.ExpirationAttributesType extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="expiration-attributes" type="{http://geode.apache.org/schema/cache}expiration-attributes-type"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected RegionAttributesType.ExpirationAttributesDetail`
  `expirationAttributes`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpirationAttributesType()`
  `ExpirationAttributesType(Integer timeout, String action, String expiry, Properties iniProps)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RegionAttributesType.ExpirationAttributesType`
  `combine(RegionAttributesType.ExpirationAttributesType existing, RegionAttributesType.ExpirationAttributesType delta)`
  `static RegionAttributesType.ExpirationAttributesType`
  `generate(Integer timeout, String action, ClassName expiry)`
  `String`
  `getAction()`
  Gets the value of the action property.
  `DeclarableType`
  `getCustomExpiry()`
  `String`
  `getTimeout()`
  Gets the value of the timeout property.
  `boolean`
  `hasCustomExpiry()`
  `boolean`
  `hasTimoutOrAction()`
  `void`
  `setAction(String value)`
  Sets the value of the action property.
  `void`
  `setCustomExpiry(DeclarableType value)`
  Sets the value of the customExpiry property.
  `void`
  `setTimeout(String value)`
  Sets the value of the timeout property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### expirationAttributes

    protected RegionAttributesType.ExpirationAttributesDetail expirationAttributes

- ## Constructor Details

  - ### ExpirationAttributesType

    public ExpirationAttributesType()

  - ### ExpirationAttributesType

    public ExpirationAttributesType(Integer timeout, String action, String expiry, Properties iniProps)

- ## Method Details

  - ### generate

    public static RegionAttributesType.ExpirationAttributesType generate(Integer timeout, String action, ClassName expiry)

  - ### combine

    public static RegionAttributesType.ExpirationAttributesType combine(RegionAttributesType.ExpirationAttributesType existing, RegionAttributesType.ExpirationAttributesType delta)

  - ### hasTimoutOrAction

    public boolean hasTimoutOrAction()
    Returns:
      true if timeout or action is specified

  - ### hasCustomExpiry

    public boolean hasCustomExpiry()
    Returns:
      true if custom expiry class is specified

  - ### getCustomExpiry

    public DeclarableType getCustomExpiry()
    Returns:
      the custom expiry declarable

  - ### setCustomExpiry

    public void setCustomExpiry(DeclarableType value)
    Sets the value of the customExpiry property. allowed object is `DeclarableType`
    Parameters:
      `value` - the value of the customExpiry property

  - ### getAction

    public String getAction()
    Gets the value of the action property. possible object is `String`
    Returns:
      the value of the action property

  - ### setAction

    public void setAction(String value)
    Sets the value of the action property. allowed object is `String`
    Parameters:
      `value` - the value of the action property

  - ### getTimeout

    public String getTimeout()
    Gets the value of the timeout property. possible object is `String`
    Returns:
      the value of the timeout property

  - ### setTimeout

    public void setTimeout(String value)
    Sets the value of the timeout property. allowed object is `String`
    Parameters:
      `value` - the value of the timeout property